How to upgrade the compexwrt kernel?

  1. 6 months ago
    Edited 6 months ago by initios

    Hi, I have a project which need bluepy ( a bluetooth python lib ) based bluez5.29.
    I want to port the bluepy to WPJ531.
    I have test the bluepy successfully on ubuntu 14.04 which based kernel 3.19.
    But bluepy can't work on compexwrt of WPJ531.
    I find the kernel of compexwrt is 3.3.8, and the bluetooth driver version in this kernel is too old.
    So, How can I upgrade the kernel of compexWrt so that I can port the bluepy?

    Best Regards.

  2. Winston

    5 Sep 2016 Moderator

    Dear initios,

    Are you trying to use bluetooth on WPJ531? WPJ531 doesn't have bluetooth.

    Also, the embedded board is different from the Linux PC. You have to build the firmware. Then you flash the firmware onto the board.

    Please refer to the following link:
    http://wiki.compex.com.sg/wiki/OpenWRT_Information

    Hope this helps :-)

    Best,
    Winston

  3. Edited 6 months ago by initios

    Hi, winston
    I connect a usb bluetooth dongle to WPJ531, and I have boost the usb vcc from 3.3v to 5v.
    I can see the device info with the lsusb and I can scan some bluetooth device with the old bluez tool.
    So the hardware has not problem.

    I have build both OpenWRT and CompexWRT fw for it.
    The kernel of OpenWRT 15.05 is 4.1.3. But it has not the mesh network.
    I must use the mesh and bluetooth together.
    So I have to use the CompexWRT sdk.
    But the kernel of CompexWRT sdk I get from sales is 3.3.8.
    It is too low, and latest bluez can't work.
    So I think can I upgrade the kernel version of compexwrt sdk alone?

  4. Winston

    5 Sep 2016 Moderator

    Dear Initios,

    It won't be possible because the wireless drivers are tied to the particular version of the Linux kernel (3.3.8) :(

    Best,
    Winston

  5. Got it. Thanks.

 

or Sign Up to reply!